Jorge Barragan_Upside down vases

‘Option Explicit
‘Script written by mark.bearak
‘Script copyrighted by dtls.Architecture
‘Script version Tuesday, October 21, 2008 1:08:31 PM

Call Main()
Sub Main()
    Dim arrPlane, i, j, strCrv(), strInnerCrv(), strSrf1, strSrf2, arrLftSrf1, arrLftSrf2, arrLftSrf3
   
      For j = 0 To 5
      For i = 0 To 10
      ReDim Preserve strCrv(i)
      ReDim Preserve strInnerCrv(i)
      arrPlane = Rhino.PlaneFromPoints (Array(0,j*25,i*(j+1)), Array(1,j*25,i*(j+1)), Array(0,j*25+1,i*(j+1)))
      If i < j+3 Then
      strCrv(i) = Rhino.AddCircle (arrPlane, Log(10.0))
      strInnerCrv(i) = Rhino.AddCircle (arrPlane, Log(5.0))
      If i = 0 Then
      Call Rhino.MoveObject (strInnerCrv(i),Array(0,0,0),Array(0,0,1))
      End If
      Else
      strCrv(i) = Rhino.AddCircle (arrPlane,8.0)
      strInnerCrv(i) = Rhino.AddCircle (arrPlane, 6.0)
      End If
      If i = 0 Then
      strSrf1 = Rhino.AddPlanarSrf (strCrv)
      strSrf2 = Rhino.AddPlanarSrf (strInnerCrv)
      End If
      If i = 10 Then
      arrLftSrf1 = Rhino.AddLoftSrf (Array(strCrv(i),strInnerCrv(i)))
      End If
      Next
      arrLftSrf2 = Rhino.AddLoftSrf (strCrv,,,1)
      arrLftSrf3 = Rhino.AddLoftSrf (strInnerCrv,,,1)
     
      Call Rhino.JoinSurfaces (Array(arrLftSrf1(0),arrLftSrf2(0),arrLftSrf3(0),strsrf1(0),strsrf2(0)),True)
      Call Rhino.deleteobjects (strCrv)
      Call Rhino.DeleteObjects (strInnerCrv)
  Next
End Sub

 

 

 

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s